CREATE TABLE publicaciones_actividades (intIdPubAct int(11) NOT NULL AUTO_INCREMENT, _intIdAct int(11) NOT NULL, _intIdPub int(11) NOT NULL, PRIMARY KEY (intIdPubAct), UNIQUE INDEX (intIdPubAct));
CREATE TABLE tipos_publicaciones (intTipoPub int(11) NOT NULL AUTO_INCREMENT, strNombreTipoPub varchar(255) NOT NULL, strDescripcion text NOT NULL, intBanderaActivo int(1) DEFAULT 1 NOT NULL, PRIMARY KEY (intTipoPub), UNIQUE INDEX (intTipoPub));
CREATE TABLE publicaciones (intIdPublicacion int(11) NOT NULL AUTO_INCREMENT, strNombrePublicacion varchar(255) NOT NULL, strDescripcion text NOT NULL, dtmFechaInicio date NOT NULL, dtmFechaVigencia date NOT NULL, _intIdTipoPublicacion int(11) NOT NULL, _intIdUsuario int(11) NOT NULL, _intIdArchivo int(100) NOT NULL, PRIMARY KEY (intIdPublicacion), UNIQUE INDEX (intIdPublicacion));
CREATE TABLE campus_carreras (intIdCampusCarrera int(11) NOT NULL AUTO_INCREMENT, _intIdCarrera int(11) NOT NULL, _intIdCamp int(11) NOT NULL, PRIMARY KEY (intIdCampusCarrera));
CREATE TABLE archivos_alumnos (_intIdArchivo int(100) NOT NULL, _strNoControl varchar(10) NOT NULL, PRIMARY KEY (_intIdArchivo), INDEX (_intIdArchivo));
CREATE TABLE archivos (intIdArchivo int(100) NOT NULL AUTO_INCREMENT, strNombreArchivo varchar(255) NOT NULL, strTipoArchivo varchar(100), strExtensionArchivo varchar(10), strDescripcion text, dtmFechaUpload datetime NULL, strRutaServidor text NOT NULL, PRIMARY KEY (intIdArchivo), UNIQUE INDEX (intIdArchivo));
CREATE TABLE alumnos_carreras (intIdAlumnoCarrera int(11) NOT NULL AUTO_INCREMENT, _intIdCarrera int(11) NOT NULL, _strNoControl varchar(10) NOT NULL, PRIMARY KEY (intIdAlumnoCarrera), UNIQUE INDEX (intIdAlumnoCarrera));
CREATE TABLE alumnos_limitaciones (intIdAlumLimitacion int(11) NOT NULL AUTO_INCREMENT, _strNoControl varchar(10) NOT NULL, _intIdLimitacion int(11) NOT NULL, PRIMARY KEY (intIdAlumLimitacion));
CREATE TABLE limitaciones (intIdLimitacion int(11) NOT NULL AUTO_INCREMENT, strNombreLimitacion varchar(255) NOT NULL, strDescripcion text, PRIMARY KEY (intIdLimitacion), UNIQUE INDEX (intIdLimitacion));
CREATE TABLE alumnos_datos_sistema (_strNoControl varchar(10) NOT NULL, strPass varchar(100) NOT NULL, strDireccion varchar(255), intBanderaPassCambiada int(1) DEFAULT 0 NOT NULL, intBanderaSesionStatus int(1) NOT NULL, intIntentosLogin int(11) DEFAULT 0 NOT NULL, dtmUltimaSesion datetime NULL, PRIMARY KEY (_strNoControl), UNIQUE INDEX (_strNoControl));
CREATE TABLE operaciones (intIdOperacion int(11) NOT NULL AUTO_INCREMENT, strNombreOperacion varchar(255) NOT NULL, PRIMARY KEY (intIdOperacion), UNIQUE INDEX (intIdOperacion)) comment='Representa un catálogo de operaciones que tienen un periodo de disponibilidad o no. Estas operaciones pueden ser: inscripción, recepción de documentos, convalidación, etc';
CREATE TABLE periodos (intIdPeriodo int(11) NOT NULL AUTO_INCREMENT, strNombrePeriodo varchar(255) NOT NULL, strAbrev varchar(100), dtmFechaInicio datetime NOT NULL, dtmFechaFin datetime NOT NULL, _intIdOperacion int(11) NOT NULL, PRIMARY KEY (intIdPeriodo), UNIQUE INDEX (intIdPeriodo)) comment='Almacena periodos de fechas utilizado por el sistema para realizar ciertas operaciones. Algunas operaciones son: periodos de inscripción, periodos recepción de documentos, etc.';
CREATE TABLE usuarios_telefonos (intIdUsuarioTelefono int(11) NOT NULL AUTO_INCREMENT, _intIdUsuario int(11) NOT NULL, _intIdTelefono int(11) NOT NULL, PRIMARY KEY (intIdUsuarioTelefono));
CREATE TABLE alumnos_emails (_intIdEmail int(11) NOT NULL, _strNoControl varchar(10) NOT NULL, PRIMARY KEY (_intIdEmail), INDEX (_intIdEmail));
CREATE TABLE alumnos_telefonos (_intIdTelefono int(11) NOT NULL, _strNoControl varchar(10) NOT NULL, PRIMARY KEY (_intIdTelefono), INDEX (_intIdTelefono));
CREATE TABLE alumnos_actividades (_strNoControl varchar(10) NOT NULL, _intIdAct int(11) NOT NULL, intFaltasAcumuladas int(11), strObservaciones text, intBanderaInscrito int(1), intBanderaAcredita int(1));
CREATE TABLE admins_roles (_intIdAdmin int(11) NOT NULL, _intIdRol int(11) NOT NULL, PRIMARY KEY (_intIdAdmin, _intIdRol), INDEX (_intIdAdmin), INDEX (_intIdRol));
CREATE TABLE actividades_lugares (intIdActLug int(11) NOT NULL AUTO_INCREMENT, _intIdAct int(11) NOT NULL, _intIdLugar int(11) NOT NULL, PRIMARY KEY (intIdActLug), INDEX (_intIdAct), INDEX (_intIdLugar));
CREATE TABLE cartas_liberacion (intIdCarta int(11) NOT NULL AUTO_INCREMENT, _strNoControl varchar(10) NOT NULL, _intIdAdmin int(11) NOT NULL, strSello text NOT NULL, intBanderaActiva int(1), intBanderaAprovada int(1), PRIMARY KEY (intIdCarta), UNIQUE INDEX (intIdCarta));
CREATE TABLE asistencias (intIdAsistencia int(100) NOT NULL AUTO_INCREMENT, strConsecutivo int(3), intAsistencia int(1) DEFAULT 1 NOT NULL, dtmFechaAsistencia datetime NOT NULL, intBanderaAsistenciaDesfasada int(1), dtmFechaDesfase datetime NULL, _strNoControl varchar(10) NOT NULL, _intIdAct int(11) NOT NULL, _intIdInst int(11) NOT NULL, PRIMARY KEY (intIdAsistencia), UNIQUE INDEX (intIdAsistencia));
CREATE TABLE telefonos (intIdTelefono int(11) NOT NULL AUTO_INCREMENT, strTelefono varchar(100) NOT NULL, strEtiqueta varchar(255), PRIMARY KEY (intIdTelefono), UNIQUE INDEX (intIdTelefono));
CREATE TABLE alumnos (strNoControl varchar(10) NOT NULL, strNombre varchar(100), strApPaterno varchar(200), strApMaterno varchar(200), chrGenero char(1), intSemestre int(1), intBanderaActivo int(1), _intIdCamp int(11) NOT NULL, PRIMARY KEY (strNoControl), UNIQUE INDEX (strNoControl));
CREATE TABLE lugares (intIdLugar int(11) NOT NULL AUTO_INCREMENT, strNombreLugar varchar(255) NOT NULL, strDireccion text, strUrlMapa text, dcmLatitud decimal(15, 15), dcmLongitud decimal(15, 15), intZoom int(2), intBanderaActivo int(1) DEFAULT 1 NOT NULL, PRIMARY KEY (intIdLugar), UNIQUE INDEX (intIdLugar));
CREATE TABLE carreras (intIdCarrera int(11) NOT NULL AUTO_INCREMENT, strNombreCarrera varchar(255) NOT NULL, strSiglasCarrera varchar(255), intBanderaActiva int(1) DEFAULT 1 NOT NULL, PRIMARY KEY (intIdCarrera), UNIQUE INDEX (intIdCarrera));
CREATE TABLE campus (intIdCamp int(11) NOT NULL AUTO_INCREMENT, strNombreCampus varchar(255) NOT NULL, strDescripcion text, dcmLatitud decimal(15, 15), dcmLongitud decimal(15, 15), intZoom int(2), strUrlMapa varchar(255), intBanderaActivo int(1) DEFAULT 1 NOT NULL, PRIMARY KEY (intIdCamp), UNIQUE INDEX (intIdCamp));
CREATE TABLE revisiones_pre_aprobacion (intIdRevision int(11) NOT NULL AUTO_INCREMENT, _intIdAct int(11) NOT NULL, _intIdAdmin int(11) NOT NULL, dtmFechaRevision int(11), strObservaciones text, PRIMARY KEY (intIdRevision), UNIQUE INDEX (intIdRevision));
CREATE TABLE actividades_aprobadas (_intIdAct int(11) NOT NULL, _intIdUsuarioAprueba int(11) NOT NULL, PRIMARY KEY (_intIdAct, _intIdUsuarioAprueba));
CREATE TABLE actividades_propuestas (_intIdAct int(11) NOT NULL, _intIdUsuarioCreador int(11) NOT NULL, PRIMARY KEY (_intIdAct), INDEX (_intIdAct));
CREATE TABLE actividades_status (_intIdAct int(11) NOT NULL, _intIdStatus int(11) NOT NULL, PRIMARY KEY (_intIdAct), INDEX (_intIdAct));
CREATE TABLE aviso_actividad (_intIdAviso int(100) NOT NULL, _intIdAct int(11) NOT NULL, PRIMARY KEY (_intIdAviso));
CREATE TABLE avisos (intIdAviso int(100) NOT NULL AUTO_INCREMENT, strTitulo varchar(255) NOT NULL, strDescripcion text NOT NULL, dtmFechaEmision datetime NOT NULL, dtmFechaFin datetime NOT NULL, intBanderaGeneral int(1) DEFAULT 0 NOT NULL, _intIdUsuario int(11) NOT NULL, PRIMARY KEY (intIdAviso), UNIQUE INDEX (intIdAviso));
CREATE TABLE status (intIdStatus int(11) NOT NULL AUTO_INCREMENT, strNombreStatus varchar(100), strAbrevStatus varchar(10), PRIMARY KEY (intIdStatus), UNIQUE INDEX (intIdStatus));
CREATE TABLE tipos_actividad (intIdTipoAct int(11) NOT NULL AUTO_INCREMENT, strNombreTipo varchar(100) NOT NULL, PRIMARY KEY (intIdTipoAct), UNIQUE INDEX (intIdTipoAct));
CREATE TABLE actividades (intIdAct int(11) NOT NULL AUTO_INCREMENT, strNombreActividad varchar(255) NOT NULL, strDescripcion text, intTotalHoras int(10), intCreditos int(1), intBanderaDisponibilidadInscripcion int(1) DEFAULT 1 NOT NULL, intBanderaActiva int(11) DEFAULT 1 NOT NULL, intCupo int(3), _intIdCamp int(11) NOT NULL, _intIdTipo int(11) NOT NULL, PRIMARY KEY (intIdAct), UNIQUE INDEX (intIdAct));
CREATE TABLE permisos_roles_vistas (_intIdRol int(11) NOT NULL, _intIdVista int(11) NOT NULL, intCreate int(1), intRead int(1), intUpdate int(1), intDelete int(1), PRIMARY KEY (_intIdRol, _intIdVista), INDEX (_intIdRol));
CREATE TABLE vistas (intIdVista int(11) NOT NULL AUTO_INCREMENT, strNombreVista varchar(255) NOT NULL, PRIMARY KEY (intIdVista), UNIQUE INDEX (intIdVista));
CREATE TABLE roles (intIdRol int(11) NOT NULL AUTO_INCREMENT, strNombreRol varchar(255) NOT NULL, PRIMARY KEY (intIdRol), UNIQUE INDEX (intIdRol));
CREATE TABLE administradores (_intIdAdmin int(11) NOT NULL, PRIMARY KEY (_intIdAdmin), UNIQUE INDEX (_intIdAdmin));
CREATE TABLE emails (intIdEmail int(11) NOT NULL AUTO_INCREMENT, strEmail varchar(255), strEtiqueta varchar(255), PRIMARY KEY (intIdEmail), UNIQUE INDEX (intIdEmail));
CREATE TABLE usuarios_emails (_intIdEmail int(11) NOT NULL, _intIdUsuario int(11) NOT NULL, PRIMARY KEY (_intIdEmail));
CREATE TABLE usuarios (intIdUsuario int(11) NOT NULL AUTO_INCREMENT, strPass varchar(255) NOT NULL, strNombreUsuario varchar(100) NOT NULL UNIQUE, strNombre varchar(100) NOT NULL, strApPaterno varchar(100), strApMaterno varchar(100), dtmFechaNacimiento date, intBanderaActivo int(1) DEFAULT 1 NOT NULL, intBanderaPassCambiada int(1) DEFAULT 0 NOT NULL, intBanderaSesionStatus int(1) DEFAULT 0 NOT NULL, intIntentosLogin int(1) DEFAULT 0 NOT NULL, dtmUltimaSesion datetime NULL, dtmFechaIncorporacion date, dtmFechaBaja date, dtmFechaVigencia date, strGenero varchar(20), PRIMARY KEY (intIdUsuario), UNIQUE INDEX (intIdUsuario));
CREATE TABLE instructores (_intIdInst int(11) NOT NULL, PRIMARY KEY (_intIdInst), UNIQUE INDEX (_intIdInst));
CREATE TABLE actividades_instructores (intIdActInst int(11) NOT NULL AUTO_INCREMENT, _intIdAct int(11) NOT NULL, _strIdInst int(11) NOT NULL, PRIMARY KEY (intIdActInst), INDEX (_intIdAct), INDEX (_strIdInst));
ALTER TABLE publicaciones_actividades ADD INDEX FKpublicacio992411 (_intIdPub), ADD CONSTRAINT FKpublicacio992411 FOREIGN KEY (_intIdPub) REFERENCES publicaciones (intIdPublicacion);
ALTER TABLE publicaciones_actividades ADD INDEX FKpublicacio356638 (_intIdAct), ADD CONSTRAINT FKpublicacio356638 FOREIGN KEY (_intIdAct) REFERENCES actividades (intIdAct);
ALTER TABLE publicaciones ADD INDEX FKpublicacio748395 (_intIdArchivo), ADD CONSTRAINT FKpublicacio748395 FOREIGN KEY (_intIdArchivo) REFERENCES archivos (intIdArchivo);
ALTER TABLE publicaciones ADD INDEX FKpublicacio855785 (_intIdUsuario), ADD CONSTRAINT FKpublicacio855785 FOREIGN KEY (_intIdUsuario) REFERENCES usuarios (intIdUsuario);
ALTER TABLE publicaciones ADD INDEX FKpublicacio492846 (_intIdTipoPublicacion), ADD CONSTRAINT FKpublicacio492846 FOREIGN KEY (_intIdTipoPublicacion) REFERENCES tipos_publicaciones (intTipoPub);
ALTER TABLE cartas_liberacion ADD INDEX FKcartas_lib464209 (_strNoControl), ADD CONSTRAINT FKcartas_lib464209 FOREIGN KEY (_strNoControl) REFERENCES alumnos (strNoControl);
ALTER TABLE alumnos_limitaciones ADD INDEX FKalumnos_li870307 (_intIdLimitacion), ADD CONSTRAINT FKalumnos_li870307 FOREIGN KEY (_intIdLimitacion) REFERENCES limitaciones (intIdLimitacion);
ALTER TABLE alumnos_limitaciones ADD INDEX FKalumnos_li469092 (_strNoControl), ADD CONSTRAINT FKalumnos_li469092 FOREIGN KEY (_strNoControl) REFERENCES alumnos_datos_sistema (_strNoControl);
ALTER TABLE alumnos_datos_sistema ADD INDEX FKalumnos_da970938 (_strNoControl), ADD CONSTRAINT FKalumnos_da970938 FOREIGN KEY (_strNoControl) REFERENCES alumnos (strNoControl);
ALTER TABLE periodos ADD INDEX FKperiodos75112 (_intIdOperacion), ADD CONSTRAINT FKperiodos75112 FOREIGN KEY (_intIdOperacion) REFERENCES operaciones (intIdOperacion);
ALTER TABLE usuarios_telefonos ADD INDEX FKusuarios_t614824 (_intIdTelefono), ADD CONSTRAINT FKusuarios_t614824 FOREIGN KEY (_intIdTelefono) REFERENCES telefonos (intIdTelefono);
ALTER TABLE usuarios_emails ADD INDEX FKusuarios_e701351 (_intIdEmail), ADD CONSTRAINT FKusuarios_e701351 FOREIGN KEY (_intIdEmail) REFERENCES emails (intIdEmail);
ALTER TABLE usuarios_emails ADD INDEX FKusuarios_e629959 (_intIdUsuario), ADD CONSTRAINT FKusuarios_e629959 FOREIGN KEY (_intIdUsuario) REFERENCES usuarios (intIdUsuario);
ALTER TABLE usuarios_telefonos ADD INDEX FKusuarios_t88286 (_intIdUsuario), ADD CONSTRAINT FKusuarios_t88286 FOREIGN KEY (_intIdUsuario) REFERENCES usuarios (intIdUsuario);
ALTER TABLE alumnos_emails ADD INDEX FKalumnos_em913825 (_intIdEmail), ADD CONSTRAINT FKalumnos_em913825 FOREIGN KEY (_intIdEmail) REFERENCES emails (intIdEmail);
ALTER TABLE alumnos_emails ADD INDEX FKalumnos_em339704 (_strNoControl), ADD CONSTRAINT FKalumnos_em339704 FOREIGN KEY (_strNoControl) REFERENCES alumnos (strNoControl);
ALTER TABLE alumnos_telefonos ADD INDEX FKalumnos_te107818 (_intIdTelefono), ADD CONSTRAINT FKalumnos_te107818 FOREIGN KEY (_intIdTelefono) REFERENCES telefonos (intIdTelefono);
ALTER TABLE alumnos_telefonos ADD INDEX FKalumnos_te915990 (_strNoControl), ADD CONSTRAINT FKalumnos_te915990 FOREIGN KEY (_strNoControl) REFERENCES alumnos (strNoControl);
ALTER TABLE alumnos_actividades ADD INDEX FKalumnos_ac419568 (_strNoControl), ADD CONSTRAINT FKalumnos_ac419568 FOREIGN KEY (_strNoControl) REFERENCES alumnos (strNoControl);
ALTER TABLE alumnos_actividades ADD INDEX FKalumnos_ac799412 (_intIdAct), ADD CONSTRAINT FKalumnos_ac799412 FOREIGN KEY (_intIdAct) REFERENCES actividades (intIdAct);
ALTER TABLE actividades_status ADD INDEX FKactividade623048 (_intIdStatus), ADD CONSTRAINT FKactividade623048 FOREIGN KEY (_intIdStatus) REFERENCES status (intIdStatus);
ALTER TABLE actividades_status ADD INDEX FKactividade354542 (_intIdAct), ADD CONSTRAINT FKactividade354542 FOREIGN KEY (_intIdAct) REFERENCES actividades (intIdAct);
ALTER TABLE actividades ADD INDEX FKactividade402998 (_intIdTipo), ADD CONSTRAINT FKactividade402998 FOREIGN KEY (_intIdTipo) REFERENCES tipos_actividad (intIdTipoAct);
ALTER TABLE actividades ADD INDEX FKactividade381783 (_intIdCamp), ADD CONSTRAINT FKactividade381783 FOREIGN KEY (_intIdCamp) REFERENCES campus (intIdCamp);
ALTER TABLE aviso_actividad ADD INDEX FKaviso_acti140101 (_intIdAct), ADD CONSTRAINT FKaviso_acti140101 FOREIGN KEY (_intIdAct) REFERENCES actividades (intIdAct);
ALTER TABLE aviso_actividad ADD INDEX FKaviso_acti113008 (_intIdAviso), ADD CONSTRAINT FKaviso_acti113008 FOREIGN KEY (_intIdAviso) REFERENCES avisos (intIdAviso);
ALTER TABLE revisiones_pre_aprobacion ADD INDEX FKrevisiones887984 (_intIdAct), ADD CONSTRAINT FKrevisiones887984 FOREIGN KEY (_intIdAct) REFERENCES actividades_propuestas (_intIdAct);
ALTER TABLE revisiones_pre_aprobacion ADD INDEX FKrevisiones841194 (_intIdAdmin), ADD CONSTRAINT FKrevisiones841194 FOREIGN KEY (_intIdAdmin) REFERENCES administradores (_intIdAdmin);
ALTER TABLE actividades_propuestas ADD INDEX FKactividade256022 (_intIdUsuarioCreador), ADD CONSTRAINT FKactividade256022 FOREIGN KEY (_intIdUsuarioCreador) REFERENCES usuarios (intIdUsuario);
ALTER TABLE actividades_aprobadas ADD INDEX FKactividade768512 (_intIdAct), ADD CONSTRAINT FKactividade768512 FOREIGN KEY (_intIdAct) REFERENCES actividades (intIdAct);
ALTER TABLE actividades_propuestas ADD INDEX FKactividade566443 (_intIdAct), ADD CONSTRAINT FKactividade566443 FOREIGN KEY (_intIdAct) REFERENCES actividades (intIdAct);
ALTER TABLE avisos ADD INDEX FKavisos330503 (_intIdUsuario), ADD CONSTRAINT FKavisos330503 FOREIGN KEY (_intIdUsuario) REFERENCES usuarios (intIdUsuario);
ALTER TABLE permisos_roles_vistas ADD INDEX FKpermisos_r667137 (_intIdRol), ADD CONSTRAINT FKpermisos_r667137 FOREIGN KEY (_intIdRol) REFERENCES roles (intIdRol);
ALTER TABLE permisos_roles_vistas ADD INDEX FKpermisos_r8253 (_intIdVista), ADD CONSTRAINT FKpermisos_r8253 FOREIGN KEY (_intIdVista) REFERENCES vistas (intIdVista);
ALTER TABLE admins_roles ADD INDEX FKadmins_rol531843 (_intIdRol), ADD CONSTRAINT FKadmins_rol531843 FOREIGN KEY (_intIdRol) REFERENCES roles (intIdRol);
ALTER TABLE admins_roles ADD INDEX FKadmins_rol771287 (_intIdAdmin), ADD CONSTRAINT FKadmins_rol771287 FOREIGN KEY (_intIdAdmin) REFERENCES administradores (_intIdAdmin);
ALTER TABLE actividades_lugares ADD INDEX FKactividade835080 (_intIdLugar), ADD CONSTRAINT FKactividade835080 FOREIGN KEY (_intIdLugar) REFERENCES lugares (intIdLugar);
ALTER TABLE actividades_lugares ADD INDEX FKactividade20893 (_intIdAct), ADD CONSTRAINT FKactividade20893 FOREIGN KEY (_intIdAct) REFERENCES actividades (intIdAct);
ALTER TABLE actividades_instructores ADD INDEX FKactividade781480 (_intIdAct), ADD CONSTRAINT FKactividade781480 FOREIGN KEY (_intIdAct) REFERENCES actividades (intIdAct);
ALTER TABLE actividades_instructores ADD INDEX FKactividade321091 (_strIdInst), ADD CONSTRAINT FKactividade321091 FOREIGN KEY (_strIdInst) REFERENCES instructores (_intIdInst);
ALTER TABLE administradores ADD INDEX FKadministra749243 (_intIdAdmin), ADD CONSTRAINT FKadministra749243 FOREIGN KEY (_intIdAdmin) REFERENCES usuarios (intIdUsuario);
ALTER TABLE instructores ADD INDEX FKinstructor456691 (_intIdInst), ADD CONSTRAINT FKinstructor456691 FOREIGN KEY (_intIdInst) REFERENCES usuarios (intIdUsuario);
ALTER TABLE actividades_aprobadas ADD INDEX FKactividade671696 (_intIdUsuarioAprueba), ADD CONSTRAINT FKactividade671696 FOREIGN KEY (_intIdUsuarioAprueba) REFERENCES administradores (_intIdAdmin);
ALTER TABLE archivos_alumnos ADD INDEX FKarchivos_a194192 (_strNoControl), ADD CONSTRAINT FKarchivos_a194192 FOREIGN KEY (_strNoControl) REFERENCES alumnos (strNoControl);
ALTER TABLE archivos_alumnos ADD INDEX FKarchivos_a670487 (_intIdArchivo), ADD CONSTRAINT FKarchivos_a670487 FOREIGN KEY (_intIdArchivo) REFERENCES archivos (intIdArchivo);
ALTER TABLE asistencias ADD INDEX FKasistencia288090 (_strNoControl), ADD CONSTRAINT FKasistencia288090 FOREIGN KEY (_strNoControl) REFERENCES alumnos (strNoControl);
ALTER TABLE asistencias ADD INDEX FKasistencia691663 (_intIdInst), ADD CONSTRAINT FKasistencia691663 FOREIGN KEY (_intIdInst) REFERENCES instructores (_intIdInst);
ALTER TABLE asistencias ADD INDEX FKasistencia63345 (_intIdAct), ADD CONSTRAINT FKasistencia63345 FOREIGN KEY (_intIdAct) REFERENCES actividades (intIdAct);
ALTER TABLE alumnos_carreras ADD INDEX FKalumnos_ca807168 (_strNoControl), ADD CONSTRAINT FKalumnos_ca807168 FOREIGN KEY (_strNoControl) REFERENCES alumnos (strNoControl);
ALTER TABLE alumnos_carreras ADD INDEX FKalumnos_ca840916 (_intIdCarrera), ADD CONSTRAINT FKalumnos_ca840916 FOREIGN KEY (_intIdCarrera) REFERENCES carreras (intIdCarrera);
ALTER TABLE cartas_liberacion ADD INDEX FKcartas_lib621611 (_intIdAdmin), ADD CONSTRAINT FKcartas_lib621611 FOREIGN KEY (_intIdAdmin) REFERENCES administradores (_intIdAdmin);
ALTER TABLE campus_carreras ADD INDEX FKcampus_car376389 (_intIdCamp), ADD CONSTRAINT FKcampus_car376389 FOREIGN KEY (_intIdCamp) REFERENCES campus (intIdCamp);
ALTER TABLE campus_carreras ADD INDEX FKcampus_car99431 (_intIdCarrera), ADD CONSTRAINT FKcampus_car99431 FOREIGN KEY (_intIdCarrera) REFERENCES carreras (intIdCarrera);
ALTER TABLE alumnos ADD INDEX FKalumnos715893 (_intIdCamp), ADD CONSTRAINT FKalumnos715893 FOREIGN KEY (_intIdCamp) REFERENCES campus (intIdCamp);

INSERT INTO `roles` (`intIdRol`, `strNombreRol`) VALUES (NULL, 'Super Administrador');
INSERT INTO `usuarios` (`intIdUsuario`, `strPass`, `strNombreUsuario`, `strNombre`, `strApPaterno`, `strApMaterno`, `dtmFechaNacimiento`, `intBanderaActivo`, `intBanderaPassCambiada`, `intBanderaSesionStatus`, `intIntentosLogin`, `dtmUltimaSesion`, `dtmFechaIncorporacion`, `dtmFechaBaja`, `dtmFechaVigencia`, `strGenero`) VALUES (NULL, '123456', 'sgac', 'Usuario', 'Default', NULL, NULL, '1', '0', '0', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `administradores` (`_intIdAdmin`) VALUES ('1');
INSERT INTO `admins_roles` (`_intIdAdmin`, `_intIdRol`) VALUES ('1', '1');